[intrepid] REGRESSION: multimedia keys no longer working

Reported by José M. López-Cepero on 2008-10-12
122
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Low
linux (Ubuntu)
Low
Andy Whitcroft
Intrepid
Low
Unassigned
Jaunty
Low
Andy Whitcroft

Bug Description

I have a Microsoft Wireless Keyboard 3000, part of a wireless RF keyboard/mouse bundle, which comes with several media keys (Back, Forward, Play/Pause, Vol. Down, Vol. Up, Mute, Home, Search, Mail and Calculator). They worked perfectly in Hardy once I got all the keysyms straight in gnome-keybinding-properties.

Since updating to Intrepid beta (via update-manager), none of these multimedia keys work anymore. Apparently, no KeyPress/KeyRelease event is generated when they are pressed (checked with gnome-keybinding-properties and with xev). Further, I have gone as far as to go to a (tty) console and use 'kbd_mode -s' to see the raw input from the keyboard (thankfully I remembered about SysRq+R before rebooting ;)), and the multimedia keys do not generate any.

I am using the Generic 105 keys international distribution, which used to work perfectly under Hardy. I have also tried many other possibilities, including every Microsoft-branded keyboard in the database, several unrelated models and some of the generic keyboards (including the "Evdev-managed"), to no avail.

I have seen several other similar bugs, but none of them related to exactly the same behavior. I am using Intrepid beta, up to date.

-----

(This was written by somebody else, erasing the original description in the process:)

Microsoft Wireless Keyboard 3000 user here. Confirming this is indeed a regression. I didn't realize how much I relied on the special keys until they disappeared! Would appreciate any insight into why this regression occurred, in addition to what might be done to fix it.

captive (salvo-schifani) wrote :

I can confirm this too, on a 5000 laser keyboard.
Worked fine in hardy, now I have standard keys working (and mapped on event1) and just some of multimedia keys responding.
Multimedia keys are mapped on event2 and those from 1 to 5 (not the standard or keypad digits, but the extra button you can freely remap) are detected by xev or any other keycode scanner.
The "star", media buttons, volume buttons, and all the extra buttons on the left side of the kayboard do NOT generate any keycode.
I suspect something wrong with udev or the kernel.

Jean-Paul (jeanpaul145) wrote :

I also have a MS wireless keyboard 3000 (actually, a combo, it comes with a mouse), and I'm having the same problem in Intrepid. I'm running the AMD64 rc with all updates installed.

Tomasz Filipek (timoteii) wrote :

Microsoft Wireless Laser Desktop 6000 - same problem in Intrepid.

Adam Dorsey (adorsey) wrote :

I also have a Microsoft Wireless Laser Desktop 5000, and I am having the same issue.

I found something interesting as I was using xev to see if the key events were happening. In Hardy, all the multimedia keys worked except for the 5 "My Favorites" keys in the center of the keyboard; these keys did not trigger an event in xev when pressed. Now the problem is opposite - the 5 My Favorites keys work, but _not_ the others.

captive (salvo-schifani) wrote :

I can confirm what Adam wrote.
Media keys currently not working are the same that were working on hardy and vice versa.
Tested on Microsoft Wireless Laser Desktop 5000 too

I can confirm.
Microsoft Comfort Curve Keyboard 2000, I'm running Kubuntu i386.

Teddy (creepynut) wrote :

I too can confirm the bug.
MS Wireless Keyboard 3000 (keyboard/mouse combo)

Worked fine in Hardy, Gutsy, and Feisty

natsilver (natesilver) wrote :

Multimedia keys on my "Wireless Keyboard 3000" are also broken on a clean i386 install of Intrepid.

Adrián (adrianbn) wrote :

I can confirm this on Intrepid 64bits with my Microsoft Wireless Keyboard and 2.6.27-7. No events at xev. I think its a kernel issue, since when I start intrepid with a 2.6.24-21 it works like a charm.

Lucas Gadani (lgadani) wrote :

I can also confirm on Intrepid 64bits with Microsoft Wireless Laser Keyboard 5000. I've also tried disabling evdev and using the kbd driver with no luck.

I suspect it's kernel-related. I can't see any keypresses from the affected multimedia keys when running kbd_mode -s on the console.

Lucas Gadani (lgadani) wrote :

This patch fixes it for me. Against linux-2.6.27-7.16.

Teddy (creepynut) wrote :

Hm, I'm not sure if this is related to this bug or not -
My Z and C keys are rather hit and miss right now. I'll try and dig out my Hardy Heron live CD to make sure that it isn't unrelated.
Shift-Z and Shift-C don't work at all. The rest of the standard keys seem fine.

José M. López-Cepero (cepe) wrote :

@Lucas Gadani: Interesting. It seems that the special workaround you removed, which, I presume, was made for a specific keyboard model, breaks some others. Are you (or anybody else) aware of any way to disable the 'quirks' mode without recompiling the kernel?

José M. López-Cepero (cepe) wrote :

Seems to be a kernel problem as per Lucas Gadani report. I am reporting it in the i386 package as it seems to be the closest available match (the Launchpad interface is rather confusing), although I am seeing the same problem here with amd64.

José M. López-Cepero (cepe) wrote :

Ignore the i386 bit above, I got the wrong text for the update. Sorry for the bugspam

Lucas Gadani (lgadani) wrote :

@Cepero:

Unfortunately, you can't disable this quirk at runtime because there's a fixed blacklist defined by vendor and product ids where the workaround is applied.

The only way is to recompile the kernel (actually, you only need to recompile the usbhid module).

I also confirm the bug with a amd64 Hardy to Intrepid upgrade. Using a MS Laser Mouse and Keyboard combo 5000.

adw (adw) wrote :

I have a 'Microsoft Internet Keyboard'.

My multimedia keys have also been broken since upgrading to Intrepid. The Mail-key sometimes registers as Super+Mail, sometimes as Super+Super_L, the Search key sometimes registers as Mail, sometimes as Back, etc.

But the most annoying thing is that my left Alt key gives me a comma.

I've just now reenabled the InputDevice sections in my xorg.conf, and added Option "AutoAddDevices" "off", and everything seems to work properly again.

Keith Baker (keibak) wrote :

Bug is still present in 2.6.27-9-generic.

description: updated
Teddy (creepynut) wrote :

I just discovered this bug exists in Fedora 10 as well. Tried on my Intrepid install, and the Fedora 10 Live CD, both are 64-bit. Fedora also had the problem with my C and Z keys not working right.

Can anyone else comment on the C/Z keys, or any others besides the multimedia keys that are not working?

maslokm (maslokm) wrote :

I can confirm this bug. I have Microsoft WIreless Laser Desktop 6000 and my multimedia keys are not generating any events in xev.

Teddy (creepynut) on 2008-12-02
Changed in linux:
status: Confirmed → In Progress
status: In Progress → Confirmed
ben (benjamin-josefus) wrote :

I can confirm too, using brandsnew "Microsoft Wireless Laser Desktop 5000" (just out of the store) on 8.10 (kernel 2.6.27-9-generic).
No action when hitting F1-F12 Buttons although xev shows that these generate events (F3 -> event.keycode == 69)
The 5 "Favorite" Buttons generate keycodes 192-196, all the other extra keys do not generate anything.

Richard Eames (naddiseo) wrote :

I looks to be fixed (in jaunty).

Adam Dorsey (adorsey) wrote :

Bug is still present in 2.6.27-10.

Are the kernel devs aware of this? If we want this fixed for jaunty anytime soon, the maintainer of the faulty code needs to be alerted. It seems like maybe someone attempted to get the 5 buttons above the star working, and succeeded in doing that to the detriment of the previously working multimedia buttons.

Adam Dorsey (adorsey) wrote :

Nevermind, bug is here: http://bugzilla.kernel.org/show_bug.cgi?id=11759

Going to leave a comment and point the kerner guys here so they can collect all of our tasty tasty information.

artago6 (artago6) wrote :

I'm gonna try to use the patch.keyboard. The thing is that I don't know how to do it. Is there any instructions somewhere to recompile the kernel using that patch. Sorry guys, but I never tried anything like that before.

Adam Dorsey (adorsey) wrote :

You can find instructions on recompiling a kernel Ubuntu-style at https://help.ubuntu.com/community/Kernel/Compile

There should be a way to just compile one module, but for the life of me I have no idea how you would do it. Theoretically, you would just go into the directory that has the patched file and use make, but I don't know what the proper make target would be. I'll do some investigating and get back to you.

Adam Dorsey (adorsey) wrote :

OK, I've got a build method for you.

1) Use the instructions at https://help.ubuntu.com/community/Kernel/Compile to download and unpack kernel source.
2) Download http://launchpadlibrarian.net/19501251/patch.keyboard into root of kernel source directory (./linux-2.6.27).
3) Apply patch with 'patch -p1 < patch.keyboard'
4) cd into drivers/hid/usbhid
5) Move original Makefile to Makefile.old and replace with attached Makefile.
6) Run make in directory.
7) Three .ko files will be created: usbhid.ko, usbkbd.ko and usbmouse.ko; copy these into /lib/modules/`uname -r`/kernel/drivers/hid/usbhid/
8) Reboot.

This should take care of it, although you'll have to repeat the procedure each time there's a kernel update.

Clemente (clemens-vonmusil) wrote :

Same problem here with intrepid and a microsoft laser desktop 6000 v2.

I applied the patch as suggested by Adam Dorsey - thanks for the instructions.

Nothing changed after reboot: If pressing any special key other than 1 to 5 or the asterisk, showkey does not show any scan-/keycode, no "unknown key" entry in syslog.

Adam Dorsey (adorsey) wrote :

Clemente,
I just applied the patch and it worked. Did you get any errors or anything that would help narrow the issue down?

Also, there is a parameter in the usbhid.ko module called 'rdesc_quirks'. If I can figure out the proper syntax, I might be able to 'turn off' that quirk without a kernel patch. Does anyone have any more info on this parameter that might help?

Adam Dorsey (adorsey) wrote :

At http://markmail.org/message/2xxgwhvjpy3xomyw a method is described where the parameter is passed as 'rdesc_quirks=0x045e:0x00f9:0x0 quirks=0x045e:0x00f9:0x0'
(ex. 'modprobe usbhid rdesc_quirks=0x045e:0x00f9:0x0 quirks=0x045e:0x00f9:0x0')
Can anyone try this? (I would myself, but my dumb ass forgot to back up the original modules when overwriting with the patched ones...)

Place the attached file in /etc/modprobe.d and that should do it. Let me know how it works.

Lucas Gadani (lgadani) wrote :

Unfortunately, it's not possible to disable the quirks at runtime (without recompiling). There are static and runtime applied quirks, you can only change the runtime quirks; the static ones are always applied.

You can look at drivers/hid/usbhid/hid-quirks.c (line 1203) in the kernel source. When idVendor = USB_VENDOR_ID_MICROSOFT (0x045e) and idProduct = USB_DEVICE_ID_DESKTOP_RECV_1028 (0x00f9) the quirk is applied (and it breaks my multimedia keys).

Clemente (clemens-vonmusil) wrote :

No, I did not get any error or warning. I try to describe what happened - just in case, I did not see that something went wrong.

After preparing sources etc. I
- manually checked hid-quirks.c to make sure the sources are modified according to the patch.
- replaced the Makefile and ran make - I attach the output to this posting.
- replaced the three .ko files in /var/modules/$(uname -r)/kernel/drivers/hid/usbhid by those just built.

I don't know how to test those new .ko files for anything.
I looked at their sizes: usbkbd.ko became about 50 byte larger, others remain at same size.
And I ran diff, what stated that all three files differ from their original files.

After rebooting, I switched to a text console and tested all special keys with showkey. Like before patching, keys "1" to "5" and the asterisk showed scancodes. No other special key did.

I took a look into dmesg and searched for anything that sounds like usb keyboards to me. I put the snippet in the attached file, too.

Clemente (clemens-vonmusil) wrote :

Erratum: Sorry, I misread the file sizes: All .ko files changed their sizes.

Clemente (clemens-vonmusil) wrote :

If I understand the patch correctly, my dmesg must not contain following line:

[ 5.834064] Fixing up Microsoft Wireless Receiver Model 1028 report descriptor

Grep shows me, that only the unpatched usbhid.ko contains this line. After replacing the module by the new one, no file contains the pattern "1028 report".

I tried following: I removed the
- complete directory "/lib/modules/$(uname -r)/kernel/drivers/hid/usbhid" as well as
- all module directories from other kernel versions.
After rebooting, keyboard and mouse work well. Additionally, dmesg contains the "report description"-line and lsmod shows a loaded usbhid module.

From where is this module loaded?

Lucas Gadani (lgadani) wrote :

@Clemente:

I think your keyboard may be different, and that would explaing why it's not working. I suspect there are several different keyboards using the same product id, and that would explain why some needs the patch, some doesn't need and probably some others (like yours) will need different patches.

Clemente (clemens-vonmusil) wrote :

Initially, modules are loaded from a ram disk at kernel boot time. The ram disk is created using a ram disk image (initrd) located in /boot and must be updated to reflect module changes at boot time.

@Lucas Gadani: This explains why my system obviously did not need /lim/modules to boot up properly.

I think, a following whould be inserted Adam Dorseys mini howto between steps 7 and 8:
7.1) change to /boot and rename the old initrd: mv initrd.img-$(uname -r) initrd.img-$(uname -r).disabled
7.2) create a new ram disk image: mkinitramfs -o initrd.img-$(uname -r) $(uname -r)

CAVE: I am no kernel guru or anything. If this operation fails, any system can (recoverable) become unbootable. This at least worked for my.

Can some more sophisticated than me can review and prove this proposal, please?

Adam Dorsey (adorsey) wrote :

Clemente,
You're totally right, I never even thought of that. Instead of rebooting, I just inserted the new module. I'm willing to bet that the next time I reboot, the keys will stop working.

The big issue is that it seems that progress in the kernel Bugzilla report has stalled. We need to get this patch reverted in the main kernel so that we can have working keys again. I don't know about you guys, but I never realized how much I use these keys until they were unavailable.

Ron S (ronshere-people) wrote :
dga20081 (dga20081) wrote :

I'm a Microsoft Wireless Laser Desktop 5000 user and i confrm having the same problem on Ubuntu Intrepid.

Zimi Q (zimiq) wrote :

"Richard Eames wrote on 2008-12-03: (permalink)
I looks to be fixed (in jaunty)."

Looks like not...
Mine Wireless Laser 6000 doesn't work with latest kernel (2.6.28-4.6).

I check kernel source, there is this "quirk" in hid-microsoft.c file.

Is there way to recompile this hid-microsoft.c module only?

Richard Eames (naddiseo) wrote :

It works with my 4000 v1 in Intrepid and Jaunty.

Changed in linux:
status: Unknown → In Progress
Smurphy (smurphy-linux) wrote :

Have tried whatever was proposed by clement ...
Using a Logitech Cordless Desktop MX 700 combination here. All Keys got screwed as soon as I upgraded to Intrepid too.
Tried reverting all automations by Disabling hal in the /etc/X11/xorg.conf file, recompiled the kernel modules (from the usbhid directory) - Attached the output of the mac-mini dmesg, and the output of xorg.0.log.
Check the

(EE) Grab failed. Device already configured?

Messages in there. Seems it sees the devices configured, and disables these.
Anything I'm missing here ?

Zimi Q (zimiq) wrote :

I change 184 line in hid-microsoft.c file to this:
  .driver_data = MS_ERGONOMY },

After compiling 2.6.28-4.8 kernel I get Wireless Laser 6000 keyboard mostly working.
Three keys not show anything in xev, but in showkey:
KEY KEYCODE
zoom up 418
zoom down 419
key 433

Andy Whitcroft (apw) wrote :

Could those of you who have keyboard showing this regression please attach your lsusb output with the keyboard in question attached.

Changed in linux:
assignee: nobody → apw
importance: Undecided → Low
status: Confirmed → In Progress
description: updated
Adrián (adrianbn) wrote :

Hi Andy,

here you have my lsusb (I've left just the keyboard).

José M. López-Cepero (cepe) wrote :

I'm attaching the relevant section of the lsusb -vvvv output. The receiver is both for the mouse and the keyboard (MS Wireless Keyboard 3000).

Also, I reverted the description back to my original text; it had been erased at some point.

Thanks for your help!

Clemente (clemens-vonmusil) wrote :

Similar behaviour as described be ZIMI Q here.

These keys, and additionally the
- "logout key" on the upper right and the
- two lower keys on the right, labeled with a headphone picture and phone-with-globe picture
do give a key-/scancode. I cannot change their keycode using setkeycodes and I cannot assign them for any funtionality with gnome keyboard-schortcuts.

All other keys work well after pathing the modules.

Clemente (clemens-vonmusil) wrote :

Here is my lsusb -vvvv with a microsoft laser desktop 6000 version 2 attached.

@Clemente -- could you attach your lsusb output too, am collecting the
USB IDs for the affected devices.

Zimi Q (zimiq) wrote :

Mine looks same than Clemente's.
Maybe because it's same device ;)

Adam Dorsey (adorsey) wrote :

Zimi Q,
That is an awesome find. I would love to test it, but my desktop power supply exploded. I might try it this evening on my laptop and see what happens. If a one-line fix gets most of the keys working, that would be great.

Andy,
If I get a chance to hook everything back up to my laptop tonight, I'll get you my lsusb output.

My lsusb for my MS Wireless Laser Keyboard 6000 v2.0

Lucas Gadani (lgadani) wrote :

Here's my lsusb for my MS WIreless Laser Desktop 5000 br-abnt2. The receiver is for both Microsoft Wireless Laser Keyboard 5000 and Microsoft Wireless Laser Muser 5000 v1.0.

Adam Dorsey (adorsey) wrote :

Here's my lsusb -vvv. Let me know if you need anything else.

Smurphy (smurphy-linux) wrote :

Here mine - Logitech MX700 Cordless Desktop (Mouse & Keyboard).

Smurphy (smurphy-linux) wrote :

Just for the notes. I noticed, that when unplugging the Cordless receiver while running under X - waiting 2 Secs, and replugging it, the system detects all keys etc. as required, and the multimedia keys work.
So - this seems to be a workaround for the Cordless desktop MX700 and eventually shows it's not the same bug.

slushie (imslushie) wrote :

I can definitely confirm I have the same issue. My model is "Microsoft Wireless Comfort Keyboard 4000."

dga20081 (dga20081) wrote :

Same problem with Microsoft Wireless Keyboard 5000. Lsusb in attachment.

Lucas Gadani (lgadani) wrote :

Just FYI, this should be fixed in some next kernel version. I've emailed Jiri Kosina who is the maintainer of this driver and it he did a very nice job fixing this!

Here's the patch for those interested:

diff --git a/drivers/hid/hid-microsoft.c b/drivers/hid/hid-microsoft.c
index d718b16..890b1b2 100644
--- a/drivers/hid/hid-microsoft.c
+++ b/drivers/hid/hid-microsoft.c
@@ -30,7 +30,7 @@
 #define MS_NOGET 0x10

 /*
- * Microsoft Wireless Desktop Receiver (Model 1028) has several
+ * Microsoft Wireless Desktop Receiver (Model 1028) several
  * 'Usage Min/Max' where it ought to have 'Physical Min/Max'
  */
 static void ms_report_fixup(struct hid_device *hdev, __u8 *rdesc,
@@ -38,17 +38,12 @@ static void ms_report_fixup(struct hid_device *hdev, __u8 *rdesc,
 {
  unsigned long quirks = (unsigned long)hid_get_drvdata(hdev);

- if ((quirks & MS_RDESC) && rsize == 571 && rdesc[284] == 0x19 &&
- rdesc[286] == 0x2a && rdesc[304] == 0x19 &&
- rdesc[306] == 0x29 && rdesc[352] == 0x1a &&
- rdesc[355] == 0x2a && rdesc[557] == 0x19 &&
+ if ((quirks & MS_RDESC) && rsize == 571 && rdesc[557] == 0x19 &&
    rdesc[559] == 0x29) {
   dev_info(&hdev->dev, "fixing up Microsoft Wireless Receiver "
     "Model 1028 report descriptor\n");
- rdesc[284] = rdesc[304] = rdesc[557] = 0x35;
- rdesc[352] = 0x36;
- rdesc[286] = rdesc[355] = 0x46;
- rdesc[306] = rdesc[559] = 0x45;
+ rdesc[557] = 0x35;
+ rdesc[559] = 0x45;
  }
 }

Adam Dorsey (adorsey) wrote :

Lucas,
That's great for the future. I look forward to Jaunty having this fixed out of the box :)

For those of us still on kernel 2.6.27 in Intrepid, I am working on putting all this in a DKMS package so it will automatically build when the kernel is updated. That way you don't even need to do the patching manually; it will build and install the patched module on install of the source package and then rebuild every time the kernel is updated.

Corey Kearney (snkiz) wrote :

I know the patch is done already but I have some thoughts on this. I have a wireless 3000, and I checked sure enough the reciever model is 1028. I think that is the cause of the problem. though because my mouse is have strange behaviour as well, Intrepid is the first ubuntu- stratch thet the first LINUX I've use that the side scroll on the mouse wheel has worked. Also moving the moouse no longer wakes the display from the screensaver. just to be on the safe side I want to attach my lsusb but don't know how to pipe it in into a file.

question?
 this isn't serious enough for ubuntu to patch intripid's kernnel?

thought...
back in the days of dapper when I tried to get the side scroll to work no one had heard of my keyboard/mouse lol

Andy Whitcroft (apw) wrote :

@snikiz -- we will consider back porting the fix once it is committed upstream. However I am unable to find the commit mentioned anywhere.

@Lucas -- I looked at the upstream bugzilla and nothing is mentioned there on this new patch. Could you point me at the discussion on this patch so we can evaluate its likely inclusion in mainline. The patch as attached above does not appear to be of release quality?

Lucas Gadani (lgadani) wrote :

@Andy:

I've reported the bug directly to the maintainer.

I've just searched for the commit log in the hid tree:
http://git.kernel.org/?p=linux/kernel/git/jikos/hid.git;a=commit;h=9569c1bf75106749fd7f3f38c341f92b710d6857

Changed in linux:
status: In Progress → Fix Released
Andy Whitcroft (apw) wrote :

@Lucas -- I have pulled down the patch you mentioned and back ported it to the latest Intrepid -proposed kernel. Thanks for looking the patch out.

If those of you who have this hardware could test the kernels at the URL below and report back here that would be helpful:

    http://people.ubuntu.com/~apw/lp281993-intrepid/

Bruno Morais (bols) wrote :

@Andy:

Kernel provided at URL re-enables the buttons. I can confirm that it works with the Wireless Laser Keyboard 5000. All extra buttons work except the zoom in/out. Thanks for the help.

Lucas Gadani (lgadani) wrote :

@Bruno:

The problem with Zoom In/Out and Spellcheck keys are not kernel-related; that's a problem with the X server.

See http://bugs.freedesktop.org/show_bug.cgi?id=11227 for more details.

José M. López-Cepero (cepe) wrote :

I can confirm that the new kernel fixes the issue. Thanks for your work, Andy!

José M. López-Cepero (cepe) wrote :

(and Lucas, of course...)

captive (salvo-schifani) wrote :

I can confirm this patched kernel works!
Thank you for the great job

Smurphy (smurphy-linux) wrote :

I can confirm that the Logitech MX700 Cordless Desktop is not a Microsoft Like Keyboard.
This kernel has not fixed it. Guess I'll open a new Bug for it - if I don't find an open one.
I can use most of the Multimedia Keys though by just unplugging and re-plugging the Cordless Desktop receiver after X has started.

Fabián Rodríguez (magicfab) wrote :

I've filed a bug specifically for the Logitech LX710 Cordless Desktop Laser keyboard multimedia keys not working in Jaunty alpha 3, see Bug #321740.

fao andy

i have tried the patched kernels with the ms wireless 3000 and it works. just one question if update manager updates the kernel will it break the patch.

thanks

Andy Whitcroft (apw) wrote :

On Sat, Jan 31, 2009 at 07:24:43PM -0000, terry_gardener wrote:

> i have tried the patched kernels with the ms wireless 3000 and it works.
> just one question if update manager updates the kernel will it break the
> patch.

It would depend on the version numbers of the updates kernel. My test
kernels were against the kernels in -proposed so it is likely that the
kernels would be older than mine right now. As the patch works well I
will be proposing it for the next update. So hopefully it will survive
until the main kernel carries the change.

RickyS (rickys) wrote :

Confirmed NOT working in my Microsoft Natural Multimedia Keyboard. Keytouch recognizes the kb, but keys don't register. GNOME is able to use the keys if I configure it.

@Andy: I'd do the lsusb thing but I haven't got the faintest idea as to how to do it. I know, in terminal, but "lsusb" alone offers very little info.

Clemente (clemens-vonmusil) wrote :

I can confirm that the Kernel provided by Andy work fine here.

Latest update to linux-image-2.6.27-11-generic from regular ubuntu repositories did install a malfunctional kernel. Malfunctional in means of using my special keys.

@RickyS: Is it possible that your keys are recognized by the kernel but have no "configuration" in your active Xmodmap? If showkey gives any output when pressing the keys, IMHO, the kernel works well.

James (morris-570) wrote :

This bug still exists in Jaunty with 2.6.28-6-generic. Maybe the patch didn't make it there yet?

boxed (rf-gerrits) wrote :

I'm running kernel version 2.6.27-11-generic and use a Microsoft wireless laser keyboard 5000.
Using showkey shows that this kernel does not support this keyboard.

Is the patch that includes support for these microsoft keyboard going to make it into the regular kernel image?

Fabián Rodríguez (magicfab) wrote :

The original report and patch are specific to one model of Microsoft keyboard. Perhaps the title should be changed ?

Or if a generic patch can be applied, take that into account when setting this bug's status.

Stefan (sawspam) wrote :

I'm having a similar problem with multimedia keys not working. Kbd is a USB wired frisby K5390 illuminated.

drakesoft (powerschorsch21) wrote :

The bug still exists in Jaunty amd64 (Kernel 2.6.28-7-generic).

Zimi Q (zimiq) wrote :

This is fixed in latest jaunty kernel (2.6.28-8.23)
Changelog:
"HID: adjust report descriptor fixup for MS 1028 receiver"

Stefan Bader (smb) wrote :

The next Intrepid proposed will include the same fix which came in through 2.6.27.18 stable updates.

Stefan Bader (smb) wrote :

This has been reported to be fixed in Jaunty 2.6.28-8.23

Changed in linux:
status: In Progress → Fix Released
Stefan Bader (smb) wrote :
Changed in linux:
importance: Undecided → Low
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Keith Baker (keibak) wrote :

I just upgraded to 2.6.27-12-generic #1 SMP Thu Feb 5 09:26:35 UTC 2009 i686 GNU/Linux (2.6.27-12.28) via intrepid-proposed.
Pressing some of the multimedia keys on a Microsoft Wireless Laser Keyboard 5000 does not produce key events in xev.

Did I install the wrong update since Feb 5th is a while gone?

brickatius (brickatius) wrote :

Upgraded to 2.6.27-12-generic via intrepid-proposed and the situation
remains unchanged as regards Keytouch as in bug #279899. There is no
change in the output or behaviour of any of the multimedia keys.

Adam Dorsey (adorsey) wrote :

Latest proposed at https://launchpad.net/ubuntu/intrepid/+source/linux/2.6.27-13.29 reports fix:

 * HID: adjust report descriptor fixup for MS 1028 receiver
    - LP: #330902, #281993

I would suggest that you install latest proposed and check again. I would, but I'm at work for now :(

Please let me know how it goes.

Adam Dorsey (adorsey) wrote :

2.6.27-13 is not showing up in apt, even though the above link says it's been published in proposed. Does any know what's going on?

Adam Dorsey (adorsey) wrote :

Nevermind, sorry, it's there but the linux-generic package isn't updated, so its not auto-updating.

Installing now; will report back with results.

Adam Dorsey (adorsey) wrote :

Success!

Upon installing linux-image-2.6.27-13-server and its associated headers, my multimedia keys are working again. As an added bonus, the "My Favorites" keys that didn't work in Linux previously are working now. Thanks again to everyone for all your work on this issue. Now all we need is to get this kernel pushed out to updates :)

Keith Baker (keibak) wrote :

Today linux-restricted-modules-2.6.27-13-generic showed up in proposed so I installed the new linux-image. The multimedia keys are working again :D

Thanks a lot!

Michael Hanke (micha-hanke) wrote :

This does not fix my problem. I notice the same problems as mentioned here and have a similar keyboard. But it seems to be a little bit older. I attached my output of lsusb. As you can see my wireless keyboard has another id (ID 045e:00e3) and is called "Microsoft Wireless Optical Desktop 2.20".

As I found in the sources is this id not recognized and the patch does not work for this device, although I am quite sure, that is has exactly the same problems.

Michael Hanke (micha-hanke) wrote :

Look at drivers/hid/usbhid/hid-quirks.c:

 341 #define USB_VENDOR_ID_MICROSOFT 0x045e
 342 #define USB_DEVICE_ID_SIDEWINDER_GV 0x003b
 343 #define USB_DEVICE_ID_WIRELESS_OPTICAL_DESKTOP_3_0 0x009d
 344 #define USB_DEVICE_ID_DESKTOP_RECV_1028 0x00f9
 345 #define USB_DEVICE_ID_MS_NE4K 0x00db
 346 #define USB_DEVICE_ID_MS_LK6K 0x00f9

These are all devices with VENDOR_ID 0x045e, so my keyboard/mouse-combo with DEVICE_ID 00e3

Changed in linux:
status: Fix Released → Confirmed
Chuck Smith (smith.chuck) wrote :

Fix works for me in Intrepid. Thanks so much to everyone for tackling this regression!

Launchpad Janitor (janitor) wrote :
Download full text (27.1 KiB)

This bug was fixed in the package linux - 2.6.27-14.33

---------------
linux (2.6.27-14.33) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Fix FTBS due to a mysteriously missing ABI directory.

linux (2.6.27-14.32) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.27-14.30 with 2.6.27-11.31 security patches applied

linux (2.6.27-14.30) intrepid-proposed; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: Limit workaround for ASUS notebooks even more
    - LP: #288385

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Scott James Remnant ]

  * SAUCE: floppy: Provide a PnP device table in the module.
    - LP: #255651

  [ Steve Beattie ]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [ Stefan Bader ]

  * Revert "ACPI: Fix compiler warnings introduced by 32 to 64 bit acpi
    conversions"
    - LP: #337019
  * Revert "ACPI: Change acpi_evaluate_integer to support 64-bit on 32-bit
    kernels"
    - LP: #337019

  [ Upstream Kernel Changes ]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * ricoh_mmc: Handle newer models of Ricoh controllers
    - LP: #311932

linux (2.6.27-13.29) intrepid-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106, #322082

  [ Stefan Bader ]

  * Revert "SAUCE: Work around ACPI corruption upon suspend on some Dell
    machines." (replaced by stable update)
    - LP: #330200
  * Revert "SAUCE: Add back in lost commit for Apple BT Wireless Keyboard"
    (replaced by stable update)
    - LP: #330902

  [ Upstream Kernel Changes ]

  * Revert "vt: fix background color on line feed"
    - LP: #330200
  * ti_usb_3410_5052: support alternate firmware
    - LP: #231276
  * fuse: destroy bdi on umount
    - LP: #324921
  * fuse: fix missing fput on error
    - LP: #324921
  * fuse: fix NULL deref in fuse_file_alloc()
    - LP: #324921
  * inotify: clean up inotify_read and fix locking problems
    - LP: #324921
  * mac80211: decrement ref count to netdev after launching mesh discovery
    - LP: #324921
  * sysfs: fix problems with binary files
    - LP: #324921
  * x86, mm: fix pte_free()
    - LP: #324921
  * alpha: nautilus - fix compile failure with gcc-4.3
    - LP: #324921
  * it821x: Add ultra_mask quirk for Vortex86SX
    - LP: #324921
  * libata: pata_via: support VX855, future chips whose IDE controller use
    0x0571
    - LP: #324921
  * rtl8187: Add termination packet to prevent stall
    - LP: #324921
  * serial_8250: support for Sealevel Systems Model 7803 COMM+8
    - LP: #324921
  * SUNRPC: Fix a memory leak in rpcb_getport_async
    - LP: #324921
  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #324921
  * USB: fix char-device disconnect handling
    - LP: #324921
  * USB: storage: add unusual devs entry
    - LP: #324921
  * USB: usbmon: Implement compat_ioctl
    - LP: #324921
  * ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
    - LP: #324921
  * ALSA: hda - Add quirk for HP DV6700 laptop
    - LP: #324921
  * ALSA: ...

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Josh Biggs (biggsjm) wrote :

I am running the Karmic beta and have this keyboard (Microsoft Wireless 3000) and the media playback functions work. However, some of the macro keys, such as photos, are mis-mapped. Photos opens default music player.

Not sure if this is a bug or simply the fact that there is no profile configured for this keyboard?

Josh Biggs (biggsjm) wrote :

Never mind. I was able to modify the keyboard mappings and correct the issue. A few keys do not work, but its probably due to a lack of an appropriate map for this version.

Josh Biggs [2009-10-21 5:03 -0000]:
> I am running the Karmic beta and have this keyboard (Microsoft Wireless
> 3000) and the media playback functions work. However, some of the macro
> keys, such as photos, are mis-mapped. Photos opens default music player.
>
> Not sure if this is a bug or simply the fact that there is no profile
> configured for this keyboard?

Please report a bug against udev on that, and exercise the steps on
https://wiki.ubuntu.com/Hotkeys/Troubleshooting to determine the
wrong/missing scan code -> key name mapping. Thanks!

Evon (evon-smith) on 2010-01-17
Changed in linux (Ubuntu Jaunty):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-01-17
Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
status: Fix Released → Won't Fix
status: Won't Fix → Fix Released

I have this keyboard and running on Karmic:
> ~$ uname -r
2.6.32-24-generic

Multimedia keys work OK, but some are mapped incorrectly as Josh pointed out, but that's an udev issue.

However, a bigger issue is that the 5 favourite keys in the middle of the keyboard, labelled: 1,2,3,4,5 and the key with cascading windows on it, that appears to be in a position of super_R key do not provide any scancodes when running a keymap -i on all the keyboards available.

Any suggestions on how to investigate this further or fix it?

Changed in linux:
importance: Unknown → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.